
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.5574077246549023d, 900L, 900L);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1811L, 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2711L);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0148495939719695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(14.15426207166677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(0, (-96));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.094947E-13f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.6640575193942669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6229728684801608d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.066781789025956d, (-96));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.429046806927085E-31d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(6, (-299));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1800L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1011L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1811L, 911L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1649821L);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.999998f, 1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999997f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(2711L, 1649821L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4472664731L);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-514.0969914936608d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.08829519239484d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-9), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 9);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.FractionField fractionField5 = fraction4.getField();
    short s6 = fraction4.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s6 == (short)0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 0.9999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999999f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.6276241885347132d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(137, 96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13152);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10, (-1800L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-3.2588869692826075d), 4.666310772197643E157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(28.031200676839138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4920925950936543E12d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(32, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 42);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-9.999997f), 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999997f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.5402840343440551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.08829519239484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.568851171006523d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.add(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str7 = fraction6.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction6.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction5.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction5.add((-96));
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction18.divide(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str29 = fraction28.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException30 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.multiply(fraction28);
    double d32 = fraction27.doubleValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction17, (java.lang.Number)fraction27, true);
    java.lang.Number number35 = numberIsTooSmallException34.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1264 / 465"+ "'", str3.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1 / 3"+ "'", str7.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1 / 3"+ "'", str19.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "1 / 3"+ "'", str29.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-0.3333333333333333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number35);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.19214910630063115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3774447340932237d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-4.310179298473361E28d), (-97));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2720105554446849d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.32151273753163434d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.32151273753163434d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)2.696310696659649d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1649821L, 1811L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1649821L);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(14.15426207166677d, 0.9924260491628762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2602973833865021d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(14.15426207166677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-58.49049136322504d));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.536744E-7f, 0.0033333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0033333334f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0, (-299));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.27494860539645205d), 0.6276241885347132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6276241885347132d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 5L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, (-1351583840));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(9.903487555036127d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.903487555036127d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.014739884487355661d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(137, 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 179);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.570799863567428d, (-1L), 5L);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(2L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.5440211108893698d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.981817555889976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19098593171027375d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.548739357257746d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.33333334f, 13152);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1811L, 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1522469438923949047L));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.27494860539645205d), 2.08829519239484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.27494860539645205d));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.negate();
    java.lang.String str3 = fraction2.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.reciprocal();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0"+ "'", str3.equals("0"));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1368684E-13f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.5020478432555281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5489644863761614d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.6881171418161356E43d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(15.154262241479262d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(0, 96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(11L, 1011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11121L);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.6881171418161737E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5816161669572506d));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-9));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-1351583643), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1351583644));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.570799863567428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(0, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.3132616845045748d, 2L, (-1522469438923949047L));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(364.0d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1800L), 1011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1819800L));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.2720105554446849d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(101, 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 143);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notPositiveException3.getContext();
    java.lang.Throwable[] throwable_array5 = notPositiveException3.getSuppressed();
    boolean b6 = fraction1.equals((java.lang.Object)throwable_array5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction0.divide(fraction1);
    java.lang.String str8 = fraction7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1"+ "'", str8.equals("1"));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(3.7967458903891247d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.28920102281517d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(2L, 4472664731L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4472664729L));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.27494860539645205d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.7967458903891247d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.009479451593547d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(100, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-727379968));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.19214910630063115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.6640575193942669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8000371155460317d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(6, (-1351583643));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.5966667f, 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(8.429046806927085E-31d, (-0.5816161669572506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.429046806927083E-31d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(1264, 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0, 143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-143));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1819800L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1819800L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-1800L), (-1522469438923949047L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1522469438923947247L);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 143);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-10.0f), (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.32151273753163434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10L, (-96));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0033333580249382748d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0033333580249382743d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.525965039867135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.48420322423925066d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.19098593171027375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3786298579196758d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException((-0.5440211108893698d), 1649821L, 22L);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, (-0.2720105554446849d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10, 1011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.2614713015373162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.155421375375934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.074905286700151d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.START_POSITION;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-29455.587872959746d), (-0.5816161669572506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-29455.587872959743d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(606, 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 600);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i4 = fraction3.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.reciprocal();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(100L, 1011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101100L);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.33333333333333337d, 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33333333333333337d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    java.lang.Throwable[] throwable_array3 = notPositiveException1.getSuppressed();
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      notPositiveException1.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(13152);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.5574077246549023d, 0.014740418234676027d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.003333345679067216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(300, (-143));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.0148495939719695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(28.031200676839138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.026783396580983d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1411200080598672d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1811L, 90L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 90L);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.5872233760225706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01024898135627058d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.3012989023072947d, 1.0148495939719695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1554604074086459d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.6881171418161356E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43.42944819032518d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)363.7393755555636d);
    java.lang.Number number2 = notPositiveException1.getArgument();
    java.lang.Number number3 = notPositiveException1.getArgument();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)363.7393755555636d);
    java.lang.Number number6 = notPositiveException5.getArgument();
    notPositiveException1.addSuppressed((java.lang.Throwable)notPositiveException5);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException10 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Number)(-0.5020478432555281d));
    notPositiveException1.addSuppressed((java.lang.Throwable)notPositiveException10);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = notPositiveException10.getContext();
    java.lang.Throwable throwable13 = exceptionContext12.getThrowable();
    java.util.Set set14 = exceptionContext12.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 363.7393755555636d+ "'", number2.equals(363.7393755555636d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 363.7393755555636d+ "'", number3.equals(363.7393755555636d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 363.7393755555636d+ "'", number6.equals(363.7393755555636d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set14);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.01024898135627058d, 0.003333345679067216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.256350284576571d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(6.579251212010101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.5489644863761614d), 1.0049255636467607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5489644863761614d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-0.33333334f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.3333333f));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0033333580249382748d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.19261143290613789d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(600, (-1351583643));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 600);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException((-1.568851171006523d), (-1L), 2L);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.2006966238519465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1011L, (-1800L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1011L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1011L);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_3D_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException7 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array5);
    java.lang.Object[] obj_array9 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array10 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i18 = fraction13.compareTo(fraction17);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)i18, (java.lang.Number)363.7393755555636d, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_3D_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array27);
    org.apache.commons.math3.exception.ConvergenceException convergenceException29 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array27);
    java.lang.Object[] obj_array31 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array27);
    java.lang.Object[] obj_array32 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array31);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array31);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException11, (org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array31);
    java.lang.Number number35 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException38 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number35, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException44 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats41, obj_array43);
    org.apache.commons.math3.exception.ConvergenceException convergenceException45 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats40, obj_array43);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException38, (org.apache.commons.math3.exception.util.Localizable)localizedFormats39, obj_array43);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext47 = numberIsTooSmallException38.getContext();
    mathIllegalArgumentException11.addSuppressed((java.lang.Throwable)numberIsTooSmallException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext47);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.0000217136384313d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.443645185770954d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.443645185770954d, 10);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-9.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 1819800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1819800L);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.155421375375934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4302181736407673d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0, (-1351583644));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1351583644);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)1.3786298579196758d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)363.7393755555636d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    java.lang.Number number3 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number3, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math3.exception.ConvergenceException convergenceException13 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException6, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array11);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext15 = mathIllegalStateException14.getContext();
    notPositiveException1.addSuppressed((java.lang.Throwable)mathIllegalStateException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNMATCHED_ODE_IN_EXPANDED_SET;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 19.999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 19.999994f);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i4 = fraction3.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.abs();
    org.apache.commons.math3.fraction.FractionField fractionField6 = fraction5.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField6);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.443645185770954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4436451857709542d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(11121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11121L);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.009479451593547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0094794515935472d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(4.026783396580983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.006684677915537d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(606, 300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 30300);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.19098593171027442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.69310178011491d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(10, (-97));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.003333333333333334d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003333333333333334d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-299), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-4.310179298473361E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)363.7393755555636d);
    java.lang.Number number2 = notPositiveException1.getArgument();
    boolean b3 = notPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 363.7393755555636d+ "'", number2.equals(363.7393755555636d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog((-1351583644));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    double d9 = fraction5.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.33333333333333337d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 128);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-5.703780622805035d), 4.746501045726147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.420403329345757d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.PERMUTATION_EXCEEDS_N;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException2 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array1);
    java.lang.String str3 = mathIllegalStateException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.MathIllegalStateException: permutation size ({0}) exceeds permuation domain ({1})"+ "'", str3.equals("org.apache.commons.math3.exception.MathIllegalStateException: permutation size ({0}) exceeds permuation domain ({1})"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.999997f, 1.3786298579196758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999996f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.6378242336526313E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-9));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(7.420403329345757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, (-0.2006966238519465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.5489644863761614d), (-0.5505531153761425d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5489644863761614d));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_ELEMENT_AT_INDEX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.0d, 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(7.420403329345757d, (-0.5489644863761614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3327868892771677d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10L, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1000L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0033333334f, 9.999996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999996f);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 101);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-9.999999f));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.074905286700151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9333604620488825d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(101, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.61512051684126d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.1554604074086459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.155460407408646d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { fraction1 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    java.lang.Throwable[] throwable_array4 = mathArithmeticException3.getSuppressed();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = notPositiveException6.getContext();
    java.lang.Throwable[] throwable_array8 = notPositiveException6.getSuppressed();
    mathArithmeticException3.addSuppressed((java.lang.Throwable)notPositiveException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(15.154262241479262d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5113.984999751929d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(606, 137);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(5L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(4.746501045726147d, 100.0d, 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, (-9));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.4476417005486522d, 6);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.5728300774717106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9450064904937651d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.0033333395061762696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(42, 30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.POSITIVE_INFINITY, 0.9999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.3012989023072947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.116291929305059d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(4.641666190203543d, 1.6487212673018603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3044976117020375d));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, (-9.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999998f));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(10, 100);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction2.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction0.multiply(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction11 = new org.apache.commons.math3.fraction.Fraction(0.19098593171027442d, 1.0049255636467607d, 6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction12 = fraction0.divide(fraction11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-1L), 90L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 90L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.003333339506176269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5674629811158156d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(96, (-1351583643));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(42, 143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 42);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-97), (-1351583840));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.06678178902595601d, 179);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.117139694666207E52d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.48420322423925066d), 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6437316881523047d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(1264, (-1351583744));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11L);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 8.429046806927083E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 4472664731L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2.009479451593547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8445637531046156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.16893505345268625d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(622740897, (-9));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-9), (-143));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 134);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SIGNIFICANCE_LEVEL;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-5.703780622805035d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8367887488871413d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1000L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11L);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.5966667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction4, (java.lang.Number)fraction8, true);
    org.apache.commons.math3.fraction.FractionField fractionField11 = fraction8.getField();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction8.divide(31);
    double d14 = fraction8.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.33333333333333337d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    java.lang.Throwable throwable3 = exceptionContext2.getThrowable();
    java.lang.Throwable throwable4 = exceptionContext2.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.548739357257748d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(911L, 2711L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 911L);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.2006966238519465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8181606043197347d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.POSITIVE_INFINITY, 9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000002d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)100.0f, (java.lang.Number)1.4476417005486522d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.4476417005486522d+ "'", number4.equals(1.4476417005486522d));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.14938015821857217d, 8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.001394530434641d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(2, (-727379968));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-727379966));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(28.031200676839138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.535136916016833d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4E-45f, 9.999996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog((-143));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.014739884487355661d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24518733131978043d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0033333456790672162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003333351852006175d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.009479451593547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.3132616845045748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.7182818172534526d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(2711L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2711L);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(101100L, 1819800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-58.49049136322504d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3625729945958637d));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.3044976117020375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.29557791895009955d));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-0.33333334f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.256350284576571d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.256350284576571d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str4 = fraction3.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction3.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction13 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.add(1);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction3.subtract(fraction13);
    int i18 = fraction1.compareTo(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction20 = fraction1.multiply(fraction19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1 / 3"+ "'", str4.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1264 / 465"+ "'", str14.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.7853981633974483d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(101, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10100);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(4472664731L, (-1522469438923949047L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1522469434451284316L));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.298342365610589d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(1264);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7768.024253178232d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(6, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.2614713015373162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.85069811234212d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(6.3108872E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.536743E-7f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.3166898E-8f), 0.003327796245009802d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.3166897E-8f));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.08829519239484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.535136916016833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.153583507682395d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(10, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-9.999997f), 0.0033333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999997f);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-5.703780622805035d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.703780622805034d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(128);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1264);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1264);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(137, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 31.20961813869858d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-0.5440211108893698d), (-97));
    long long3 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-1L));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.003333351852006175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.3044976117020375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.29542312979845425d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_MULTIPLICATION_COMPATIBLE_MATRICES;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1351583643), 1811L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2070867107));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.3625729945958637d), (-4.310179298473361E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3625729945958637d));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1819800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1819800L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0033333580249382748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8E-322d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException(number0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException4 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = notPositiveException4.getContext();
    java.lang.Throwable[] throwable_array6 = notPositiveException4.getSuppressed();
    java.lang.Object[] obj_array7 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException1, localizable2, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathIllegalStateException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 362880.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.020001059617893502d, (-97));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(128, (-2070867107));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(10L, 1800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1790L));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.9999999f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(10.69310178011491d, (-0.3625729945958637d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.69310178011491d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(6.5895866800733485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9534251933854436d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.981817555889976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3456565704675016d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.1459763018948406d, 30300);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.03333333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.String str1 = mathArithmeticException0.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = mathArithmeticException0.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException0.getContext();
    java.lang.Throwable throwable4 = exceptionContext3.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str1.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2, (java.lang.Number)6, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2+ "'", number4.equals(2));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(10, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 90);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1819800L), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3311672040000L);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(11121L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1112100L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(134);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 525.6790135159952d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.003333345679067216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003338907453830928d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(11.548739357257748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4844222297453324d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.6378242336526313E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.054712819734037244d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 318.15263962020936d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NO_DEGREES_OF_FREEDOM;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction((-0.5440211108893698d), (-97));
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction2.add(fraction5);
    float f8 = fraction5.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == (-1.0f));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(11.548739357257748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.877703344991156d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9948162176388183d));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.4436451857709542d, 31.20961813869858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 31.20961813869858d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0, 606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-29455.587872959743d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-29456L));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction0);
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Number number4 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-29455.587872959743d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.570762377379121d));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(96, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-96), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction2.abs();
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.add(1);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str10 = fraction9.toString();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.negate();
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction9.divide(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction8.divide(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction20 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction24 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction20.multiply(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction18.multiply(fraction25);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException28 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction2, (java.lang.Number)fraction26, true);
    org.apache.commons.math3.fraction.Fraction fraction29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction30 = fraction26.multiply(fraction29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1264 / 465"+ "'", str6.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "1 / 3"+ "'", str10.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 51823.14673489771d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.1411200080598672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1406557591404105d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(6.579251212010101d, 5.298342365610589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2809088463995124d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1649821L, 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-1351583840));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0033333456790672162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003333333333305899d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CUMULATIVE_PROBABILITY_RETURNED_NAN;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Cumulative probability function returned NaN for argument {0} p = {1}"+ "'", str1.equals("Cumulative probability function returned NaN for argument {0} p = {1}"));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-4472664729L), (-97));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_PERMUTATION;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction2.abs();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction3, (java.lang.Number)22L, false);
    java.lang.Number number7 = numberIsTooSmallException6.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 22L+ "'", number7.equals(22L));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.535136916016833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2140969547039828d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.525965039867135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.124645707629302d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.06678178902595601d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0011655620988751494d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-29455.587872959743d), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-117822.35149183897d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.6640575193942669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9426587400771878d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.24518733131978043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(4.61512051684126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(101100L, 1112100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1112100L);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(6, 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 252);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.33333334f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(3311672040000L, 911L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3311672040000L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(362880.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 362880.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NO_REGRESSORS;
    exceptionContext1.setValue("1 / 300", (java.lang.Object)localizedFormats3);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = notPositiveException6.getContext();
    java.lang.Throwable[] throwable_array8 = notPositiveException6.getSuppressed();
    java.lang.Object[] obj_array9 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1.0f), 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.3283064E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.009479451593547d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.009479451593547d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(96, (-727379968));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.06668277586790551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-57.29577951308232d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(6.3108872E-28f, (-0.06678178902595601d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.310887E-28f);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.003333351852006175d, 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-0.5505531153761425d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.3333333f), 0.0033333456790672162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.33333328f));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.094947E-13f, 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-9.999997f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-2), 606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 606);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.020001059617893502d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.040002119235787004d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(43.42944819032518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5251139126363802d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 2.7015910473799814E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction4.add((-96));
    org.apache.commons.math3.exception.NotPositiveException notPositiveException17 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(-96));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.0013792514420361813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-10));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.9426587400771878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9316522516847643d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.8E-322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8E-322d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.003333351852006175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003333351852006175d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(4472664731L, 2711L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4472664731L);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.9450064904937651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5728300774717106d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(134, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 22.694283816767342d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.0865110177078596d, 179);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    long long18 = fraction15.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.subtract(fraction15);
    double d20 = fraction14.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-238.49462365591395d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(7768.024253178232d, 11121L, (-1L));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-727379966));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-96));
    byte byte2 = fraction1.byteValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.multiply(96);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction6.abs();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction1.subtract(fraction7);
    float f9 = fraction8.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-96));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == (-96.5f));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(101, 606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-58.49049136322504d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    long long18 = fraction15.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.subtract(fraction15);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_FRACTION_TO_DIVIDE_BY;
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction26 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i27 = fraction22.compareTo(fraction26);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats20, (java.lang.Number)Double.NEGATIVE_INFINITY, (java.lang.Number)fraction22, true);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction15.add(fraction22);
    int i31 = fraction15.intValue();
    double d32 = fraction15.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 33.33333333333333d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.568047112528285d, (-0.06678178902595601d), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.155460407408646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.3625729945958637d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.9397299502922825d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1800L, 101100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 102900L);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(606, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 606);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1L), 1649821L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1649821L));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.19098593171027442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5758823822969722d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.add((-1));
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.abs();
    java.lang.String str5 = fraction4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1"+ "'", str5.equals("1"));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.2614713015373162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7708161928227921d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(2147483647, 13152);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.0011655620988751494d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0011655618349656817d));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.003327796245009802d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003327796245009802d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-9), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-9));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 96);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 32);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-1023), (-1351583744));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1351584767));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-0.33333334f), 9.999996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.33333334f);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.267909768656306d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0033333580249382748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(0.8181606043197347d, 911L, 0L);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(5L, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.155460407408646d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.155460407408646d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(13152);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 111591.55766010442d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog((-299));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(100, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 228);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.5966667f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5966667f);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(14.15426207166677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.718281817253452d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.1554604074086459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.718281817253452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.911733910183917d));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_SIMPLE;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array1);
    java.lang.String str3 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{0} out of [{1}, {2}] range"+ "'", str3.equals("{0} out of [{1}, {2}] range"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_DEFINING_VECTOR;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number1, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException4, (org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException13, (org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array15);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction21.negate();
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException27 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction21, (java.lang.Number)fraction25, true);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction21.add(6);
    float f30 = fraction21.floatValue();
    long long31 = fraction21.longValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, (java.lang.Number)fraction21, (java.lang.Number)0.0033333333333333335d, true);
    boolean b35 = numberIsTooSmallException34.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f30 == 0.0033333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ZERO;
    double d1 = fraction0.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long3 = fraction2.longValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str5 = fraction4.toString();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str15 = fraction14.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.add(1);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction4.subtract(fraction14);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction4.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException20 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction2.multiply(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction0.multiply(fraction21);
    short s23 = fraction22.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1 / 3"+ "'", str5.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1264 / 465"+ "'", str15.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s23 == (short)0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-0.29557791895009955d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(19.999994f, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(4472664731L, 101100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101100L);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.0094794515935472d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6978757092233597d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(525.6790135159952d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.5728300774717106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.200089062910975d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(8.0d, 1.0049255636467607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.445835155039162d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.5816161669572506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1522469438923949047L), 1811L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8589159579760211623L));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.6229728684801608d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6640575193942669d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction1.multiply(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str9 = fraction8.toString();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.add(1);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str13 = fraction12.toString();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.negate();
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction12.divide(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction11.divide(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str23 = fraction22.toString();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction22.divide(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction22.negate();
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException34 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction32);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction31.multiply(fraction32);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException37 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction21, (java.lang.Number)fraction35, true);
    int i38 = fraction35.intValue();
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction1.divide(fraction35);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction1.reciprocal();
    short s41 = fraction1.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1264 / 465"+ "'", str9.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1 / 3"+ "'", str13.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1 / 3"+ "'", str23.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1 / 3"+ "'", str33.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s41 == (short)600);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.RANDOMKEY_MUTATION_WRONG_CLASS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction5, (java.lang.Number)fraction9, true);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction9, (java.lang.Number)(-1.7976931348623157E308d), false);
    float f15 = fraction9.floatValue();
    double d16 = fraction9.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.0033333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.33333333333333337d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(228, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 35.902389020888634d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1811L, 11121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1485352525028470355L);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-29455.587872959743d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.9426587400771878d, 0.0033333580249382748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9426587400771878d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-127), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 28.03125f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 28.03125f);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(7768.024253178232d, 2.267909768656306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5705043722862206d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.util.Set set9 = exceptionContext8.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException17 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array15);
    java.lang.Object[] obj_array19 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array15);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array15);
    java.util.Set set21 = exceptionContext8.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_DEFINING_VECTOR;
    exceptionContext8.setValue("denominator", (java.lang.Object)localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(100, 32);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add((-143));
    byte byte5 = fraction4.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte5 == (byte)117);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.3044976117020375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.50175968E8f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-10), 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483637);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.999997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.999998f);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    long long4 = fraction3.longValue();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.divide(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.abs();
    double d7 = fraction6.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.066781789025956d, (-1351583643));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(228, 30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 228);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.014740418234676027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.19240232444172617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19240232444172617d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.981817555889976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.5489644863761614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-31.453348171921025d));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(9, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 9);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.0094794515935472d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6626874499725903d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(2711L, (-8589159579760211623L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(900L, 1485352525028470355L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.3774447340932237d, (-127));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-8589159579760211623L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8589159579760211623L));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-299));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.5440211108893698d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1819800L, (-1649821L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1649821L));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-2), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.1411200080598672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14065207678644337d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-29456L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.3625729945958637d), 9.903487555036127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3625729945958636d));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(137, (-97));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-97), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-194));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(50.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.9999999f, (-727379968));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(96, 13152);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1262592);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-2), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-4));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9534251933854436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3064013728937621d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.003984560011627846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.003984538924515898d));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1011L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1016L);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-4472664729L), 90L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 134179941870L);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-5.703780622805034d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7867108353343804d));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(43.42944819032518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction((-299), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(2147483637, 606);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction9.multiply(fraction10);
    org.apache.commons.math3.fraction.FractionField fractionField14 = fraction10.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1 / 3"+ "'", str11.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField14);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8813735870195432d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.9316522516847643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9316522516847643d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-727379966), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-448789504));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.7708161928227921d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.880121352052477d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8813735870195432d, 0.014740418234676025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.003051507061018345d));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(22025.465794806718d, 134);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.7967216852435194E44d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, (-194));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-194));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.999997f, 0.9316522516847643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999996f);

  }

}
