
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-0.3333333f), 30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(7.420403329345757d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FIRST_ELEMENT_NOT_ZERO;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-4.741450291257945d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.5319626848232737d, 0.1411200080598672d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.641588833612779d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.8445637531046156d, 7768.024253178232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0872310928113877E-4d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.33333328f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.3333333f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.0011655618349656817d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0011655615710565368d));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.003327796245009802d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5674685244077273d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.4844222297453324d, 7.043968827621449d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4844222297453324d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(90L, 1819800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 90L);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.014741485926484077d, 9.903487555036127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.903487555036127d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1522469438923947247L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.4302181736407673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.29557791895009955d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2955779189500995d));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(6.5895866800733485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8854906272869874d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    int i9 = fraction8.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.155460407408646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5506205480641766d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.7690206E-28f, (-1351583464));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-1.570762377379121d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(5L, 11121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 55605L);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction((-0.5440211108893698d), (-97));
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction2.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str9 = fraction8.toString();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.negate();
    boolean b12 = fraction8.equals((java.lang.Object)10000.0d);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction2.subtract(fraction8);
    int i14 = fraction13.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1 / 3"+ "'", str9.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(364.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(19.999996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 19.999998f);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1522469434451284316L), 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6704290673466745856L);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ZERO;
    double d1 = fraction0.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long3 = fraction2.longValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str5 = fraction4.toString();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str15 = fraction14.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.add(1);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction4.subtract(fraction14);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction4.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException20 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction2.multiply(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction0.multiply(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.divide(1351583644);
    double d25 = fraction22.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1 / 3"+ "'", str5.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1264 / 465"+ "'", str15.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0033333333333333335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 30300);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 1602980093);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1602980093);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.AT_LEAST_ONE_COLUMN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException7 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException10 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = notPositiveException10.getContext();
    java.lang.Throwable[] throwable_array12 = notPositiveException10.getSuppressed();
    java.lang.Object[] obj_array13 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException7, (org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array13);
    java.lang.Object[] obj_array15 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math3.exception.ConvergenceException convergenceException16 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.044701572056606284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(6.0033336f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.0033336f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1351596796), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1351596796));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-2070867107), (-5));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.5122807049944784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32.524640474019144d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0033333580249382743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003333351851965021d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.8854906272869874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2481669355606442d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-1351584767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1351584767);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.6978757092233597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6978757092233597d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.3166897E-8f), 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.6276241885347132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(13152, 44232);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 581739264);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(134179941870L, (-1649821L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 134181591691L);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.07911392405063292d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07911392405063292d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5706749747421218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8240.486849834404d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(6.579251212010102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.8000371155460319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7173819490553565d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.27494860539645205d), 15.154262241479262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.156756276299145d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.1307664821002563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.710407963536699d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8367887488871413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-131072), 13152);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-131072));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    double d9 = fraction8.percentageValue();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.multiply(44232);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(4.746501045726147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.divide((-1351583840));
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction5.add((-1023));
    org.apache.commons.math3.exception.NotPositiveException notPositiveException13 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.40546510810816433d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.39444619971436073d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.abs();
    org.apache.commons.math3.fraction.FractionField fractionField3 = fraction1.getField();
    int i4 = fraction1.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-97), 1351584767);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(2.009479451593547d, 60L, 0L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(22L, 1649821L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.5872233760225706d, 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.40062585399735395d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-31256L));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0033333580249382743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0033333641979458226d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9924260491628762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9974689489061421d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(194, 44232);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 194);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(19.07195258896067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6717657987400045d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.9901242766399275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4301405676544858d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NAN_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)6.0d, (java.lang.Number)10.69310178011491d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 6.0d+ "'", number5.equals(6.0d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.3283064E-10f, 1.7182818284590458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3283067E-10f);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_3D_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException7 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array5);
    java.lang.Object[] obj_array9 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array10 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i18 = fraction13.compareTo(fraction17);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)i18, (java.lang.Number)363.7393755555636d, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_3D_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array27);
    org.apache.commons.math3.exception.ConvergenceException convergenceException29 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array27);
    java.lang.Object[] obj_array31 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array27);
    java.lang.Object[] obj_array32 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array31);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array31);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException11, (org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array31);
    org.apache.commons.math3.fraction.Fraction fraction38 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction38.negate();
    org.apache.commons.math3.fraction.FractionField fractionField40 = fraction38.getField();
    org.apache.commons.math3.fraction.Fraction fraction41 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str42 = fraction41.toString();
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction41.negate();
    org.apache.commons.math3.fraction.Fraction fraction44 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction44.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction46.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction49 = fraction41.divide(fraction46);
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction41.negate();
    float f51 = fraction50.floatValue();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException53 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction38, (java.lang.Number)f51, true);
    java.lang.Number number54 = numberIsTooLargeException53.getMax();
    mathIllegalStateException34.addSuppressed((java.lang.Throwable)numberIsTooLargeException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "1 / 3"+ "'", str42.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f51 == (-0.33333334f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + (-0.33333334f)+ "'", number54.equals((-0.33333334f)));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9333604620488825d, 1262592);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(364.0d);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.multiply(fraction2);
    int i4 = fraction3.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1819800L, 134181591691L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 244183660559281800L);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0d, (-0.7955577268426963d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.999999999999998d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    java.lang.String str1 = localizedFormats0.getSourceString();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction7.negate();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction2, (java.lang.Number)fraction7, false);
    org.apache.commons.math3.fraction.Fraction fraction12 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction12.negate();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction7.multiply(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.subtract((-1351583644));
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_FIXED_LENGTH_CHROMOSOME;
    boolean b19 = fraction17.equals((java.lang.Object)localizedFormats18);
    org.apache.commons.math3.fraction.Fraction fraction21 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction21.negate();
    java.lang.String str23 = fraction22.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException25 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction17, (java.lang.Number)fraction22, false);
    boolean b26 = fraction16.equals((java.lang.Object)fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "number of robustness iterations ({0})"+ "'", str1.equals("number of robustness iterations ({0})"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "0"+ "'", str23.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(143, (-96));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 239);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.ConvergenceException convergenceException5 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = notPositiveException8.getContext();
    java.lang.Throwable[] throwable_array10 = notPositiveException8.getSuppressed();
    java.lang.Object[] obj_array11 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException5, (org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array11);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction17.negate();
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction17, (java.lang.Number)fraction21, true);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction17.add(6);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction17.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction26.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.multiply(179);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, (java.lang.Number)fraction29, (java.lang.Number)(-2070867107), false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.fraction.Fraction fraction34 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { fraction34 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException36 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats33, obj_array35);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-8589159579760211623L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.1307664821002563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.098030174994039d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0L, 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-4.310179298473361E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.256350284576571d, 0.9997152551590424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0012479043104777175d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1649821L, 1485352525028470355L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1649821L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.9167145708869612d, 0.19098593171027442d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(3.1622776601683795d, 2.267909768656306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7112515433392691d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(831.5177800239061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5367016290606494d));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notPositiveException3.getContext();
    java.lang.Throwable[] throwable_array5 = notPositiveException3.getSuppressed();
    boolean b6 = fraction1.equals((java.lang.Object)throwable_array5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction1.negate();
    double d9 = fraction1.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 50.0d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-2.477119646217411d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1871089520984897d));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(1.7763568394002505E-15d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-29455.587872959746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction4, (java.lang.Number)fraction8, true);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.add(6);
    long long13 = fraction4.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0, 32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.020001059617893502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.525965039867135d), 0.40236003649766666d, 2147483647);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(30300, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1351583771), 727379968);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1522469434451253060L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1522469434451253060L);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9901242766399275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6881970873592731d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-1264), (-97));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1361));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(7.420403329345757d, 1262612);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.880121352052477d, 0.5872233760225706d, (-96));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.0033333641979458226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19098770012230634d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.066781789025956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.5489644863761614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7962091984025929d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-25), 131072);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_FRACTION_TO_DIVIDE_BY;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i7 = fraction2.compareTo(fraction6);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)Double.NEGATIVE_INFINITY, (java.lang.Number)fraction2, true);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction2.subtract(0);
    int i12 = fraction2.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(1264, 581739264);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-581738000));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 282368.83903515263d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-1819800L), (-5959349465259379807L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5959349465257560007L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(7768.024253178232d, (-0.3333333333333333d), 179);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(581739264, 137);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 581739401);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(9.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 96);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 32);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 96);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, bigInteger24);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 6);
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 1);
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 300);
    java.math.BigInteger bigInteger32 = null;
    java.math.BigInteger bigInteger34 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger32, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger34, 96);
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger36, 32);
    java.math.BigInteger bigInteger39 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, bigInteger36);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger39);
    java.math.BigInteger bigInteger42 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, 101100L);
    java.math.BigInteger bigInteger44 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger42, 16580168150403L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction1.multiply(fraction5);
    org.apache.commons.math3.fraction.FractionField fractionField7 = fraction5.getField();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction8.abs();
    int i10 = fraction5.compareTo(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.negate();
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction11.divide(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction21 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str22 = fraction21.toString();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction21.add(1);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction11.subtract(fraction21);
    org.apache.commons.math3.fraction.FractionField fractionField26 = fraction11.getField();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException28 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction5, (java.lang.Number)fraction11, false);
    java.lang.String str29 = fraction5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1 / 3"+ "'", str12.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1264 / 465"+ "'", str22.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "1"+ "'", str29.equals("1"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(1351583644, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7173819490553565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0490616344342896d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(11L, (-1522469438923949047L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction((-0.5440211108893698d), (-97));
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction2.add(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.32667828186485603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2380094375177289d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(42, (-1351583643));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.37337479116621597d, (-0.5367016290606494d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5337691415370487d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    java.lang.Throwable throwable3 = exceptionContext2.getThrowable();
    java.lang.Object obj5 = exceptionContext2.getValue("");
    java.lang.Throwable throwable6 = exceptionContext2.getThrowable();
    exceptionContext2.setValue("org.apache.commons.math3.exception.MathIllegalStateException: permutation size ({0}) exceeds permuation domain ({1})", (java.lang.Object)3311672040000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable6);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.010248981356270582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction20 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction16.multiply(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction14.multiply(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.multiply((-7));
    double d25 = fraction24.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == (-4685032.258064516d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMBER_TOO_SMALL_BOUND_EXCLUDED;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.9534251933854436d, (-0.4830427211567771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9534251933854436d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.5816161669572506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5589942081582162d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction10.divide(101);
    org.apache.commons.math3.fraction.Fraction fraction18 = new org.apache.commons.math3.fraction.Fraction(6);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction10.subtract(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(13152, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(13152, 96);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(100, 1264);
    org.apache.commons.math3.fraction.FractionField fractionField3 = fraction2.getField();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.abs();
    long long5 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str4 = fraction3.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction3.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction13 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.add(1);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction3.subtract(fraction13);
    int i18 = fraction1.compareTo(fraction3);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction1.getField();
    int i20 = fraction1.getNumerator();
    int i21 = fraction1.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1 / 3"+ "'", str4.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1264 / 465"+ "'", str14.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(252);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-727379966), 622740897);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1350120863));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(300, 600);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1264), 155);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-195920));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.6717657987400045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2126532644216d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(3280.6917875979857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-10), 1262592);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-1262), 1262612);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-1351583644));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 96);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 32);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 96);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, bigInteger24);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 6);
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 1);
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 300);
    java.math.BigInteger bigInteger32 = null;
    java.math.BigInteger bigInteger34 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger32, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger34, 96);
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger36, 32);
    java.math.BigInteger bigInteger39 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, bigInteger36);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger39);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger42 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger39, (-1522469438923949047L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, (-57.295779513082316d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4515827052894548d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.6931580373202261d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.36649725771011055d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_FIXED_LENGTH_CHROMOSOME;
    boolean b2 = fraction0.equals((java.lang.Object)localizedFormats1);
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction0, (java.lang.Number)fraction5, false);
    org.apache.commons.math3.fraction.FractionField fractionField9 = fraction5.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction10 = fraction5.reciprocal();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField9);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(16580168150403L, 101100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1658016815040300L);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(42, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 42);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-9.999999f), 8.881785E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.881785E-16f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(13152, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 65760);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(11426.992044521547d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.util.Set set9 = exceptionContext8.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException17 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array15);
    java.lang.Object[] obj_array19 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array15);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array15);
    java.util.Set set21 = exceptionContext8.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math3.exception.MathIllegalStateException();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats27, obj_array29);
    org.apache.commons.math3.exception.ConvergenceException convergenceException31 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array29);
    java.lang.Object[] obj_array33 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array29);
    java.lang.Object[] obj_array34 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array33);
    java.lang.Object[] obj_array35 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array34);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException23, (org.apache.commons.math3.exception.util.Localizable)localizedFormats24, obj_array35);
    java.lang.Object[] obj_array37 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array35);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array35);
    java.lang.Throwable throwable39 = exceptionContext8.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable39);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 1.5319626848232737d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5319626848232737d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.5122807049944784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.061300862556421296d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    long long18 = fraction15.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.subtract(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long21 = fraction20.longValue();
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str23 = fraction22.toString();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction22.divide(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction32 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction32.add(1);
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction22.subtract(fraction32);
    org.apache.commons.math3.fraction.FractionField fractionField37 = fraction22.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException38 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction22);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction20.multiply(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction14.divide(fraction20);
    org.apache.commons.math3.fraction.FractionField fractionField41 = fraction20.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1 / 3"+ "'", str23.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1264 / 465"+ "'", str33.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField41);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.4476417005486522d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1312372436729454d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.098030174994039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(22L, (-36));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0865110177078596d, (-2.718005916561285d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0865110177078596d));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(3.1753611546633342d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.2955779189500995d), 2.267909768656306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.267909768656306d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_CLEAR_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str4 = fraction3.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction3.divide(fraction8);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)1.0148495939719695d, (java.lang.Number)fraction3, true);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction3);
    org.apache.commons.math3.fraction.Fraction fraction15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction16 = fraction3.add(fraction15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1 / 3"+ "'", str4.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.1554604074086459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1754850978826576d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(134, 1262612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.3625729945958636d));
    java.lang.Number number3 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-9204461400436751599L), 6704290673466745856L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-1351583644), 448789503);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.7112515433392691d, 0.9349873270218434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2237357836825743d));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(19.999996f, 1.4901161E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4901161E-8f);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-1351584767), 137);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(5.9604645E-8f, (-1.50175968E8f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.50175968E8f));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(2.6881171418161737E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161737E43d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(0, (-1));
    double d5 = fraction4.doubleValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.33333328f), (java.lang.Number)fraction4, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1510009528188710687L), (-1790L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-194));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_DENOMINATOR_IN_FRACTION;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException9 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array7);
    java.lang.Object[] obj_array11 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, obj_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array7);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array15);
    java.lang.String str17 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "zero denominator in fraction {0}/{1}"+ "'", str17.equals("zero denominator in fraction {0}/{1}"));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.1499363339488753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1397065790590519d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.1612042481801237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.292900998467732d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(55605L, 1016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1566481135), (-195920));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-195920));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1262612, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(7.4461954662010035d, 239);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.578144301611678E72d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-946927103));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 946927103);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.710407963536699d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13915854061992888d));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(581739264, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 169210285348761216L);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.3625729945958636d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9418235986087615d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.999997f, 1.4301405676544858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999996f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-127), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.24518733131978043d, 1.0865110177078596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22194715326391354d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(2.1684043449710089E-19d, 5959349465257560007L, 99L);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_CLEAR_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.negate();
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction2.divide(fraction7);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException12 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.0148495939719695d, (java.lang.Number)fraction2, true);
    boolean b13 = numberIsTooSmallException12.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1 / 3"+ "'", str3.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1264, (-1351583464));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.5440211108893698d), 2.5337691415370487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5915140423502816d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1977461928657023d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-1350120863), 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1350120888));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR_FORMAT;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notPositiveException3.getContext();
    java.lang.Throwable[] throwable_array5 = notPositiveException3.getSuppressed();
    boolean b6 = fraction1.equals((java.lang.Object)throwable_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array5);
    java.lang.String str8 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "numerator format"+ "'", str8.equals("numerator format"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.981817555889976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.06673216110825565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0148490522988627d, 3.175485097882658d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0148490522988627d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.24518733131978043d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-31.453348171921025d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.037412902556732526d));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-5959349465259379807L), 1800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5959349465259379807L));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(244183660559281800L, (-1522469434451183216L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.19240232444172617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0033580540499984824d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-2070867107));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 622740897);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.0562372406243767d, 0.9818175558899759d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.442082806754024d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.6978757092233597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5293778868727825d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-448789504));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(15.156756276299145d, (-0.0013792514420361813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5708873259119298d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.3283067E-10f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3283067E-10f);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.999998f, (-131072));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1811L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(6.579251212010102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.579251212010102d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    java.util.Set set7 = exceptionContext6.getKeys();
    boolean b8 = fraction1.equals((java.lang.Object)exceptionContext6);
    java.lang.Object obj10 = exceptionContext6.getValue("element {0} is NaN");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj10);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1262592, (-2070867107));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1262592);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.add(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str7 = fraction6.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction6.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction5.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction5.add((-96));
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction18.divide(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str29 = fraction28.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException30 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.multiply(fraction28);
    double d32 = fraction27.doubleValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction17, (java.lang.Number)fraction27, true);
    org.apache.commons.math3.fraction.Fraction fraction38 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction38.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction44 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction45 = fraction44.negate();
    int i46 = fraction45.intValue();
    int i47 = fraction40.compareTo(fraction45);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction27.add(fraction40);
    java.lang.String str49 = fraction40.toString();
    java.lang.String str50 = fraction40.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1264 / 465"+ "'", str3.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1 / 3"+ "'", str7.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1 / 3"+ "'", str19.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "1 / 3"+ "'", str29.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-0.3333333333333333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "0"+ "'", str49.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "0"+ "'", str50.equals("0"));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(313465990L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0016666667f, 0.33333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.33333334f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.003327796245009802d, 100.00499993055985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003327796245009802d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(90L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 90L);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 6);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 4472664731L);
    byte byte19 = bigInteger18.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte19 == (byte)1);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(25, (-7));
    int i3 = fraction2.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 7);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.094947E-13f, 0.0033333334f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.094947E-13f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.4844222297453324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.FractionField fractionField2 = fraction0.getField();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    boolean b4 = fraction0.equals((java.lang.Object)localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.33333333333333337d, 0.8000371155460317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2030717845222065d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.5674685244077273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5674685244077273d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1522469434451253060L), (-31256L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(0, (-727379966));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.negate();
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction2.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction12 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str13 = fraction12.toString();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.add(1);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction2.subtract(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.divide(100);
    long long20 = fraction17.longValue();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction16.subtract(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.subtract(100);
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    long long25 = fraction24.longValue();
    boolean b26 = fraction21.equals((java.lang.Object)long25);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction21.abs();
    int i28 = fraction0.compareTo(fraction27);
    int i29 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1 / 3"+ "'", str3.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1264 / 465"+ "'", str13.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 3);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.02386454924169138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0002847718700647d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 96);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 32);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 96);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, 96);
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 32);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, bigInteger24);
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger17);
    byte byte27 = bigInteger4.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(1.568047112528285d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2147483637, 1264);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1264);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    long long1 = fraction0.longValue();
    boolean b3 = fraction0.equals((java.lang.Object)363.7393755555636d);
    org.apache.commons.math3.fraction.FractionField fractionField4 = fraction0.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField4);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.1554604074086459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-2.477119646217411d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-2L));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.32667828186485603d);
    int i2 = fraction1.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 180);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.003333351852006175d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0266668148160494d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str17 = fraction16.toString();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction16.add(1);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str21 = fraction20.toString();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.negate();
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction20.divide(fraction25);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction19.divide(fraction25);
    int i30 = fraction4.compareTo(fraction29);
    org.apache.commons.math3.fraction.FractionField fractionField31 = fraction29.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "1264 / 465"+ "'", str17.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1 / 3"+ "'", str21.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField31);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(111591.55766010442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.3625729945958636d), 0.003333351852006175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36258831702742633d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-1351583643), 9);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction7.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction7, (java.lang.Number)fraction11, true);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction7.add(6);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction7.reciprocal();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction17 = fraction2.add(fraction7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(581739401, (-1351583744));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(5.117139694666207E52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 175);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-0.16666667f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4901161E-8f);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.9426587400771878d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5602997418434934d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    java.lang.Throwable[] throwable_array6 = mathArithmeticException5.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-1264), (-581738000));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction0);
    java.lang.Number number3 = notPositiveException2.getArgument();
    byte byte4 = number3.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte4 == (byte)0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.33333328f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(228, 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.367307338828949E46d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.6640575193942669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(111591.55766010442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.315747858400798d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.13915854061992888d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-1351596796), 143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1351596653));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1000L, 1351583644);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(169210285348761216L, 1112100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 169210285349873316L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(5.298342365610589d, 1430);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-8), 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-8));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.3625729945958637d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.35506523435672654d));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(100, 606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-506));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(4.026783396580983d, 1.2380094375177289d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2380094375177289d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1262612, 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(1351584767, 581739264);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-1262));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_EXPONENT;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction3.negate();
    org.apache.commons.math3.fraction.FractionField fractionField5 = fraction3.getField();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str7 = fraction6.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction6.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction6.negate();
    float f16 = fraction15.floatValue();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException18 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction3, (java.lang.Number)f16, true);
    boolean b19 = numberIsTooLargeException18.getBoundIsAllowed();
    boolean b20 = numberIsTooLargeException18.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1 / 3"+ "'", str7.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == (-0.33333334f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(16L, 5959349465257560007L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5959349465257559991L));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(143, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(28.03125f, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5430806299707034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-727379966));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(1351583744, (-581738000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction10.divide(101);
    org.apache.commons.math3.fraction.Fraction fraction18 = new org.apache.commons.math3.fraction.Fraction(6);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction10.subtract(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_COMPLEX_NUMBER;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException9 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = notPositiveException12.getContext();
    java.lang.Throwable[] throwable_array14 = notPositiveException12.getSuppressed();
    java.lang.Object[] obj_array15 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException9, (org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array15);
    java.lang.Object[] obj_array17 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException18 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array15);
    exceptionContext1.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array15);
    java.lang.Object obj21 = exceptionContext1.getValue("org.apache.commons.math3.exception.NotPositiveException: 16,580,168,150,403 is smaller than the minimum (0)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj21);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-4.0d), 117822.35149562873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 117822.35156352755d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-299), 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-308));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_DISCARD_NEGATIVE_NUMBER_OF_ELEMENTS;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1800L, 1016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(8.429046806927083E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.429046806927083E-31d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(831.5177800239061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.7244545790126065d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array8);
    org.apache.commons.math3.exception.ConvergenceException convergenceException10 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, (org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = numberIsTooSmallException3.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math3.exception.ConvergenceException convergenceException18 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array16);
    java.lang.String str19 = convergenceException18.toString();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)convergenceException18);
    java.lang.Number number21 = numberIsTooSmallException3.getArgument();
    java.lang.Number number22 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math3.exception.ConvergenceException: illegal state: empty selected row index array"+ "'", str19.equals("org.apache.commons.math3.exception.ConvergenceException: illegal state: empty selected row index array"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(117822.35156352755d, 4.310179298473361E28d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.310179298473361E28d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-4.310179298473361E28d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(1430, 1351583744);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.6881171418161356E43d, 5.298342365610589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2708235723070722E230d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(44232);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 428932.9854939107d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(Float.POSITIVE_INFINITY, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-1.7867108353343804d), 1.4476417005486522d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(41692.13f, 6.3108872E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 41692.13f);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(169210285348761216L, 1522469434451253060L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1353259149102491844L));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SUBARRAY_ENDS_AFTER_ARRAY_END;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 99L);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(35.902389020888634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2989402480454295d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(100.00499987500625d, 1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5920658671529597d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(4.7967216852435194E44d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9990377503756651d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.add(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str7 = fraction6.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction6.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction5.divide(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction5.add((-96));
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction18.divide(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction18.negate();
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str29 = fraction28.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException30 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.multiply(fraction28);
    double d32 = fraction27.doubleValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction17, (java.lang.Number)fraction27, true);
    org.apache.commons.math3.fraction.Fraction fraction38 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction38.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction44 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    org.apache.commons.math3.fraction.Fraction fraction45 = fraction44.negate();
    int i46 = fraction45.intValue();
    int i47 = fraction40.compareTo(fraction45);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction27.add(fraction40);
    org.apache.commons.math3.fraction.FractionField fractionField49 = fraction27.getField();
    org.apache.commons.math3.fraction.Fraction fraction51 = fraction27.subtract(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1264 / 465"+ "'", str3.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1 / 3"+ "'", str7.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1 / 3"+ "'", str19.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "1 / 3"+ "'", str29.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-0.3333333333333333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(11L, (-1649821L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1649821L));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 2.3283067E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.5402840343440551d, (-1.568851171006523d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6270968155418193d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.1499363339488753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38721613337886024d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    java.lang.Throwable[] throwable_array5 = mathArithmeticException4.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = nullArgumentException6.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VALUES_ADDED_BEFORE_CONFIGURING_STATISTIC;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_FIXED_LENGTH_CHROMOSOME;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.ConvergenceException convergenceException8 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array6);
    java.lang.Object[] obj_array10 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array10);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException18 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0L, (java.lang.Number)260.687097198006d, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_ELEMENT_AT_2D_INDEX;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException18, (org.apache.commons.math3.exception.util.Localizable)localizedFormats19, obj_array20);
    java.lang.String str22 = mathIllegalStateException21.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math3.exception.MathIllegalStateException: element ({0}, {1}) is negative: {2}"+ "'", str22.equals("org.apache.commons.math3.exception.MathIllegalStateException: element ({0}, {1}) is negative: {2}"));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(65760, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_3D_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.ConvergenceException convergenceException8 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array6);
    java.lang.Object[] obj_array10 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array11 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction6 = new org.apache.commons.math3.fraction.Fraction(10, 100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction3.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction1.multiply(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction6.multiply((-143));
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction15 = new org.apache.commons.math3.fraction.Fraction(6.5895866800733485d, 6);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction10, (java.lang.Number)6.5895866800733485d, true);
    java.lang.Number number18 = numberIsTooSmallException17.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number18);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction20 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction16.multiply(fraction20);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction4, (java.lang.Number)fraction21, true);
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction24.divide(100);
    int i27 = fraction24.intValue();
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction21.add(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction29.negate();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction24, (java.lang.Number)fraction30, false);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction30.add((-143));
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction30.abs();
    double d36 = fraction35.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.06668277586790551d, 2.5915140423502816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5915140423502816d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 6);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 300);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger21, 96);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 32);
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, bigInteger23);
    java.math.BigInteger bigInteger27 = null;
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger27, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 96);
    java.math.BigInteger bigInteger33 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, 32);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger36, 96);
    java.math.BigInteger bigInteger39 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, bigInteger38);
    java.math.BigInteger bigInteger41 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, 6);
    java.math.BigInteger bigInteger43 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger41, 1819800L);
    java.math.BigInteger bigInteger44 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, bigInteger41);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger46 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, (-31256L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction((-36), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-10.0f), 5.8998973535824915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999999f));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(0, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 128);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.6931471805599453d, 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(92.31318437052988d, (-2056.387965974643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.003051507061018345d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.17483847575072095d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1522469438923947247L, 4472664731L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5254293736843332017L));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(10100, 137);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 137);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.2602973833865021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.2481669355606442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4839507943187082d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.155460407408646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0749234425802825d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(155, (-727379968));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(131072, 1262612);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.7182818284590453d, 1.6487212673018603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7182818284590453d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-97), 169210285349873316L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1611666817);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_FIXED_LENGTH_CHROMOSOME;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException7 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array5);
    java.lang.Object[] obj_array9 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats16, obj_array18);
    org.apache.commons.math3.exception.ConvergenceException convergenceException20 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array18);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array18);
    java.lang.Object[] obj_array22 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array18);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array18);
    org.apache.commons.math3.exception.ConvergenceException convergenceException24 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array18);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext25 = convergenceException24.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    java.lang.Number number27 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException30 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number27, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException36 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats33, obj_array35);
    org.apache.commons.math3.exception.ConvergenceException convergenceException37 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException30, (org.apache.commons.math3.exception.util.Localizable)localizedFormats31, obj_array35);
    java.lang.Object[] obj_array39 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array35);
    java.lang.Object[] obj_array40 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array39);
    exceptionContext25.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array40);
    java.lang.Object[] obj_array42 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array40);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException10, (org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    long long18 = fraction15.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.subtract(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction15.abs();
    int i21 = fraction15.intValue();
    int i22 = fraction15.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 3);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction4, (java.lang.Number)fraction8, true);
    org.apache.commons.math3.fraction.FractionField fractionField11 = fraction4.getField();
    org.apache.commons.math3.fraction.Fraction fraction13 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction17 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction13.multiply(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.ONE_QUARTER;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction13.divide(fraction19);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction4.multiply(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction23 = fraction13.multiply(fraction22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(155, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 282);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 1522469434451253060L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str8 = fraction7.toString();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.negate();
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction7.divide(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction7.negate();
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str18 = fraction17.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException19 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction17);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction16.multiply(fraction17);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)fraction5, (java.lang.Number)fraction16, true);
    java.lang.String str23 = fraction5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1 / 3"+ "'", str8.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "1 / 3"+ "'", str18.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1 / 300"+ "'", str23.equals("1 / 300"));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1351583644, (-96));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.negate();
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction15.divide(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction15.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str26 = fraction25.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException27 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction25);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction24.multiply(fraction25);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException30 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction14, (java.lang.Number)fraction28, true);
    java.lang.Number number31 = numberIsTooLargeException30.getMax();
    java.lang.Number number32 = numberIsTooLargeException30.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1 / 3"+ "'", str16.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1 / 3"+ "'", str26.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number32);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.lang.Object obj10 = exceptionContext8.getValue("1 / 300");
    java.lang.Object obj12 = exceptionContext8.getValue("");
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_2x2;
    exceptionContext8.setValue("org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 26,881,171,418,161,356,000,000,000,000,000,000,000,000,000 to fraction (-1,649,821/-1)", (java.lang.Object)localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.7967458903891247d, 1.2126532644216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.7967458903891242d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(131072, (-1350120863));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException9 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = notPositiveException9.getContext();
    java.lang.Throwable[] throwable_array11 = notPositiveException9.getSuppressed();
    java.lang.Object[] obj_array12 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException6, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math3.exception.ConvergenceException convergenceException15 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array12);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException17 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.5707995288878498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.FractionField fractionField15 = fraction0.getField();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction0.subtract(252);
    double d19 = fraction18.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-251.66666666666666d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1351596796), (-1351583464));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 44);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.155460407408646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.768004346865929d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(7, (-308));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-308));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(31.20961813869858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1000L, (-9204461400436751599L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(155);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.789142901464525E273d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, (-1649821L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-581738000), (-1351584767));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.5402840343440551d, 2.3866895309235187E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5402840343440551d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ZERO;
    double d1 = fraction0.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long3 = fraction2.longValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str5 = fraction4.toString();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str15 = fraction14.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.add(1);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction4.subtract(fraction14);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction4.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException20 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction2.multiply(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction0.multiply(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction22.abs();
    double d24 = fraction22.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction22.abs();
    int i26 = fraction25.intValue();
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction25.add(90);
    int i29 = fraction28.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1 / 3"+ "'", str5.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1264 / 465"+ "'", str15.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 90);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(289.74606507363035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1262592, (-581738000));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(1262592, (-1351596653));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-5959349465257559991L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0633823966279327E37d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0633823966279327E37d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(7, (-448789504));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-448789497));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math3.exception.MathIllegalStateException();
    java.lang.String str1 = mathIllegalStateException0.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = mathIllegalStateException0.getContext();
    java.lang.Throwable throwable3 = exceptionContext2.getThrowable();
    exceptionContext2.setValue("org.apache.commons.math3.exception.MathArithmeticException: all ordinatae must be finite real numbers, but 6.59-th is {1}", (java.lang.Object)3.626942099658969d);
    java.lang.Throwable throwable7 = exceptionContext2.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math3.exception.MathIllegalStateException: illegal state"+ "'", str1.equals("org.apache.commons.math3.exception.MathIllegalStateException: illegal state"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0L, 1262612);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(7812, (-1351584767));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(155);
    long long2 = fraction1.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 155L);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)1.1459763018948406d, true);
    java.lang.Number number4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number4, number5, false);
    java.lang.Number number8 = numberIsTooLargeException7.getMax();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(727379968, (-1350120863));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(727379968, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.9316522516847643d, (java.lang.Number)134179941870L, false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-1262));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-29), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 29);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18044161820430601d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.06513951439047024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06513951439047024d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(9.903487555036127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.518971792703678d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-96.5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1351583644, 30300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1351613944);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 128);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5674685244077273d, 1.535136916016833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7958185789997532d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-251.66666666666666d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.917783340510872E108d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, (-1016L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException9 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array7);
    java.lang.Object[] obj_array11 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException13 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = convergenceException13.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    java.lang.Number number16 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number16, (java.lang.Number)1, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array24);
    org.apache.commons.math3.exception.ConvergenceException convergenceException26 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array24);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException19, (org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array24);
    java.lang.Object[] obj_array28 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array24);
    java.lang.Object[] obj_array29 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array28);
    exceptionContext14.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array29);
    java.lang.Object[] obj_array31 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array29);
    java.lang.Object[] obj_array32 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array29);
    org.apache.commons.math3.exception.ConvergenceException convergenceException33 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction1.multiply(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_QUARTER;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction1.divide(fraction7);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException9 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction1);
    java.lang.Number number10 = notPositiveException9.getMin();
    boolean b11 = notPositiveException9.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0+ "'", number10.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0.8367887488871408d, (-308));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.124645707629302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.505384317288628d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-1566481135), 316);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1566480819));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-1351583744));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.7962091984025929d), 0.14938015821857217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04930840730973199d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1351583644), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(16L, 1112100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.3012989023072947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3202545618449526d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.044701572056606284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(1522469434451253060L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-3.2588869692826075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.098030174994039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.0d, 1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = fractionConversionException3.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext15 = notPositiveException14.getContext();
    java.lang.Throwable[] throwable_array16 = notPositiveException14.getSuppressed();
    java.lang.Object[] obj_array17 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException11, (org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array17);
    java.lang.Object[] obj_array19 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array17);
    exceptionContext4.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array17);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array17);
    java.lang.Throwable[] throwable_array22 = nullArgumentException21.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-4));
    org.apache.commons.math3.fraction.Fraction fraction2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.subtract(fraction2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.5758823822969722d, 3280.6917875979857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-14.670259395663706d));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(60L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 60L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.util.Set set9 = exceptionContext8.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException17 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array15);
    java.lang.Object[] obj_array19 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array15);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array15);
    java.lang.Throwable throwable21 = exceptionContext8.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable21);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_REGRESSION_ARRAY;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}"+ "'", str1.equals("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.5430806299707034d, 10);
    java.lang.Number number3 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5430806299707034d, number3, true);
    java.lang.Number number6 = numberIsTooLargeException5.getArgument();
    boolean b7 = numberIsTooLargeException5.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.5430806299707034d+ "'", number6.equals(1.5430806299707034d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction4, (java.lang.Number)fraction8, true);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.add(6);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction13.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.multiply(179);
    int i17 = fraction13.getDenominator();
    int i18 = fraction13.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 300);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1000L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.9319553763940567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.770565381775928d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1611666817, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1611666817);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, 1112100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1112100L);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.003338907453830928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003338895046168946d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(6, 96);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str4 = fraction3.toString();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction3.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction13 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.add(1);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction3.subtract(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.divide(100);
    long long21 = fraction18.longValue();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction17.subtract(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction18.abs();
    boolean b24 = fraction2.equals((java.lang.Object)fraction23);
    long long25 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1 / 3"+ "'", str4.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1264 / 465"+ "'", str14.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.RANDOMKEY_MUTATION_WRONG_CLASS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction5, (java.lang.Number)fraction9, true);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction9, (java.lang.Number)(-1.7976931348623157E308d), false);
    java.lang.Number number15 = numberIsTooLargeException14.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number15);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(9.0d, 1.0000006792672724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000006792672724d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction10.divide(101);
    java.lang.String str17 = fraction10.toString();
    float f18 = fraction10.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "1 / 300"+ "'", str17.equals("1 / 300"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 0.0033333334f);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(1800L, 14L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1786L);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.003333333333305899d, (-0.2006966238519465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003333333333305899d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.1499363339488753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8975445153270099d));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-25), 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-25));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.ConvergenceException convergenceException5 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array3);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger8, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, 32);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 96);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, bigInteger17);
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 100);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 96);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 32);
    java.math.BigInteger bigInteger28 = null;
    java.math.BigInteger bigInteger30 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger28, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger30, 96);
    java.math.BigInteger bigInteger33 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, bigInteger32);
    java.math.BigInteger bigInteger34 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, bigInteger25);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException35 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)428932.9854939107d, (java.lang.Number)15.154262241479262d, false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(362880.00000000006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0791492469707318E7d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.subtract(96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.33333333333333337d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0986122886681096d));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math3.exception.MathIllegalStateException();
    java.lang.String str1 = mathIllegalStateException0.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = mathIllegalStateException0.getContext();
    java.lang.Object obj4 = exceptionContext2.getValue("element {0} is NaN");
    java.util.Set set5 = exceptionContext2.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException9 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, (java.lang.Number)(-0.5020478432555281d));
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math3.exception.ConvergenceException convergenceException16 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array14);
    java.lang.Object[] obj_array18 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array14);
    java.lang.Object[] obj_array19 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array18);
    org.apache.commons.math3.exception.ConvergenceException convergenceException20 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array19);
    exceptionContext2.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array19);
    java.lang.Throwable throwable22 = exceptionContext2.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math3.exception.MathIllegalStateException: illegal state"+ "'", str1.equals("org.apache.commons.math3.exception.MathIllegalStateException: illegal state"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable22);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.2614713015373162d, 0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2614713015373162d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    int i8 = fraction5.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 300);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(180);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 180);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.19214910630063115d, 11.453811294373583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.236329574530395E-9d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.negate();
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction1.divide(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction11 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.add(1);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction1.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction1.divide(10);
    double d18 = fraction17.doubleValue();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.2380094375177289d, (java.lang.Number)fraction17, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1 / 3"+ "'", str2.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1264 / 465"+ "'", str12.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.03333333333333333d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(31, (-29));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 60);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str1 = fraction0.toString();
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.negate();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(1);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction0.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(100);
    long long18 = fraction15.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.subtract(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long21 = fraction20.longValue();
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str23 = fraction22.toString();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction22.divide(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction32 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction32.add(1);
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction22.subtract(fraction32);
    org.apache.commons.math3.fraction.FractionField fractionField37 = fraction22.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException38 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction22);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction20.multiply(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction14.divide(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction14.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 / 3"+ "'", str1.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1264 / 465"+ "'", str11.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1 / 3"+ "'", str23.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1264 / 465"+ "'", str33.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ZERO;
    double d1 = fraction0.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO;
    long long3 = fraction2.longValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str5 = fraction4.toString();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str15 = fraction14.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.add(1);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction4.subtract(fraction14);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction4.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException20 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction2.multiply(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction0.multiply(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction22.abs();
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction22.subtract((-143));
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.multiply(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1 / 3"+ "'", str5.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1264 / 465"+ "'", str15.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.0490616344342896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-9.999997f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.3333333f, 1.1459763018948406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.33333334f);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.07738416778019416d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07738416778019416d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-8589159579760211623L), 1011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8589159579760212634L));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(179, 16384);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.3064013728937621d, 9.903487555036127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3064013728937621d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.696310696659649d, (-1023));
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str5 = fraction4.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.add(1);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str9 = fraction8.toString();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.negate();
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction8.divide(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction7.divide(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction19 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction23 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction19.multiply(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction17.multiply(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.multiply((-7));
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.multiply((-2));
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException31 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction2, (java.lang.Number)fraction27, false);
    java.lang.Object obj32 = null;
    boolean b33 = fraction27.equals(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1264 / 465"+ "'", str5.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1 / 3"+ "'", str9.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.003333333333333334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000055555606997d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-0.33333328f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.33333325f));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-727379966), 727379968);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException7 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathIllegalArgumentException8.getContext();
    java.util.Set set10 = exceptionContext9.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math3.exception.ConvergenceException convergenceException18 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array16);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array16);
    java.lang.Object[] obj_array20 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array16);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array16);
    java.util.Set set22 = exceptionContext9.getKeys();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math3.exception.MathIllegalStateException();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats28, obj_array30);
    org.apache.commons.math3.exception.ConvergenceException convergenceException32 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats27, obj_array30);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array30);
    java.lang.Object[] obj_array34 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array30);
    java.lang.Object[] obj_array35 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array34);
    java.lang.Object[] obj_array36 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array35);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException24, (org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array36);
    java.lang.Object[] obj_array38 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array36);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array36);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.negate();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.multiply((-96));
    float f10 = fraction7.floatValue();
    int i11 = fraction7.getNumerator();
    int i12 = fraction7.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.5966667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 179);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 300);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-169766580900L), 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-152789922810000L));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(2.9802326E-8f, 0.3333333f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9802326E-8f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(12.315747858400798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.RANDOMKEY_MUTATION_WRONG_CLASS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.divide(100);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction5, (java.lang.Number)fraction9, true);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction9, (java.lang.Number)(-1.7976931348623157E308d), false);
    boolean b15 = numberIsTooLargeException14.getBoundIsAllowed();
    boolean b16 = numberIsTooLargeException14.getBoundIsAllowed();
    boolean b17 = numberIsTooLargeException14.getBoundIsAllowed();
    boolean b18 = numberIsTooLargeException14.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = numberIsTooLargeException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-1522469438923949047L), 6704290673466745856L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(8.881784E-16f, 8.881784E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.881784E-16f);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(131072, (-29));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.4476417005486522d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.008974266086278d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-29));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 29);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15707963267948966d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0.0d, (-194));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.33333328f, 8.881784E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.33333328f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.098030174994039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4105064131361187d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.0d, 0);
    int i4 = fraction3.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.abs();
    double d6 = fraction3.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(0L, (-4472664729L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(131072, 622740897);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 131072);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(59.66666666666667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0413797870232835d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(143, 2147483637);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(100.00499993055985d, (-1351596653));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 96);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 32);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 96);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger11);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 100);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 96);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 32);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger24, 96);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, bigInteger26);
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger19);
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_FIXED_LENGTH_CHROMOSOME;
    boolean b31 = fraction29.equals((java.lang.Object)localizedFormats30);
    org.apache.commons.math3.fraction.Fraction fraction33 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction33.negate();
    java.lang.String str35 = fraction34.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction29, (java.lang.Number)fraction34, false);
    org.apache.commons.math3.fraction.FractionField fractionField38 = fraction34.getField();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException40 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)bigInteger19, (java.lang.Number)fraction34, false);
    short s41 = bigInteger19.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "0"+ "'", str35.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s41 == (short)1);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_REAL_FINITE_ORDINATE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 6.5895866800733485d };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException9 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = notPositiveException9.getContext();
    java.lang.Throwable[] throwable_array11 = notPositiveException9.getSuppressed();
    java.lang.Object[] obj_array12 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException6, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array14);
    java.lang.Object[] obj_array16 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0033333333333333344d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003333339506203705d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-1.0865110177078596d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(3.7967458903891242d, (-1023));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction5.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.negate();
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction15.divide(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction15.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str26 = fraction25.toString();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException27 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction25);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction24.multiply(fraction25);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException30 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction14, (java.lang.Number)fraction28, true);
    org.apache.commons.math3.fraction.Fraction fraction33 = new org.apache.commons.math3.fraction.Fraction(2.696310696659649d, (-1023));
    org.apache.commons.math3.fraction.Fraction fraction35 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str36 = fraction35.toString();
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction35.add(1);
    org.apache.commons.math3.fraction.Fraction fraction39 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    java.lang.String str40 = fraction39.toString();
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.negate();
    org.apache.commons.math3.fraction.Fraction fraction42 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction42.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction44.multiply(1);
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction39.divide(fraction44);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction38.divide(fraction44);
    org.apache.commons.math3.fraction.Fraction fraction50 = new org.apache.commons.math3.fraction.Fraction(600);
    org.apache.commons.math3.fraction.Fraction fraction54 = new org.apache.commons.math3.fraction.Fraction(1.570799863567428d, 2.696310696659649d, 0);
    org.apache.commons.math3.fraction.Fraction fraction55 = fraction50.multiply(fraction54);
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction48.multiply(fraction55);
    org.apache.commons.math3.fraction.Fraction fraction58 = fraction56.multiply((-7));
    org.apache.commons.math3.fraction.Fraction fraction60 = fraction58.multiply((-2));
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException62 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction33, (java.lang.Number)fraction58, false);
    org.apache.commons.math3.fraction.Fraction fraction63 = fraction14.add(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1 / 3"+ "'", str6.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1 / 3"+ "'", str16.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1 / 3"+ "'", str26.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "1264 / 465"+ "'", str36.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "1 / 3"+ "'", str40.equals("1 / 3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(1522469434451253060L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1522469434451253060L);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 252);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(7812, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-195920));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.014741485926484077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.36649725771011055d), 0.5251139126363802d, 7);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0633823966279327E37d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3611832414348226E21d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.5020478432555281d), 10100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2.718281817253452d);
    java.lang.String str2 = fraction1.toString();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(1);
    long long5 = fraction1.longValue();
    long long6 = fraction1.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1264 / 465"+ "'", str2.equals("1264 / 465"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 2L);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6894891574179547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-1264));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(25, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

}
